Subject: RE: bug#52293: [External] : bug#52293: 29.0.50; [PATCH v3] Prevent further cases of duplicated separators in context menus

From: Drew Adams <[email-masked]>
Date: Mon, 13 Dec 2021 02:41:57 +0000

> This is *only* for context menus. 

OK, thanks.  Very glad to hear that.
In that case, you can forget I said anything,
and sorry for the noise.

> In any case, I think I prefer the solution I proposed in my followup:
> instead of removing consecutive separators so things look right, we can
> *add* separators between different "sections" of the context menu.
> Sections can be marked by the `:section' keyword and a name for the
> section (note: this only applies to the context menu, not other menus).
> That should completely prevent any unwanted manipulation of menus, since
> the programmer needs to opt into this behavior explicitly.

Sounds better to me too, FWIW.